html {
	scroll-behavior: smooth;
}

button {
    color: inherit;
}

.header-nav {
    display: block;
    width: 100vw;
    height: 70px;
    z-index: 100000;
    position: fixed;
    top: 0;

	background-color: rgb(255, 255, 255);
	background-color: rgba(255, 255, 255, 0.2);
	-webkit-backdrop-filter: blur(45px);
	backdrop-filter: blur(45px);
}

.story {
    min-height: 100vh;
    padding-top: 80px;
}

.filter-item.is-hidden {
  display: none;
}

.filter {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    padding: 40px 20px;

    line-height: 1.2;
}

.filter-buttons {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    width: 100%;

	background-color: rgb(255, 255, 255);
	background-color: rgba(255, 255, 255, 0.2);
	-webkit-backdrop-filter: blur(45px);
	backdrop-filter: blur(45px);

    border-top: 1px solid #ccc;
    border-bottom: 1px solid #ccc;
    min-height: 60px;
    padding: 20px;

    position: sticky;
    top: 70px;
    z-index: 100000;

    transition: transform 0.25s ease, opacity 0.25s ease;
}

.filter-buttons.is-hidden {
  transform: translateY(-120%);
  opacity: 0;
  pointer-events: none;
}

.filter-buttons-top {
    display: flex;
    flex-direction: row;
    gap: 10px;
}

.filter-buttons button {
    cursor: pointer;
    background-color: #F6F6F6;
    border: none;
    padding: 8px 20px;
    font-size: 18px;
    border-radius: 5px;
    transition: background-color 0.3s, color 0.3s;
}

.filter-buttons button:hover {
  background-color: #d2d2d2;
}

.filter-buttons button.is-active {
  background: black;
  color: white !important;
}


.filter-headline {
    max-width: 800px;
    padding: 30px;
    background-color: wheat;
    border-radius: 15px;
}

.filter-headline p {
    padding-bottom: 1em;
}

.filter-headline p:last-child {
    padding-bottom: 0;
}

.ft-placeholder {
    position: relative;
    display: inline-block;
    font-size: 18px;
    text-align: center;
    padding: 20px;
    margin-bottom: 80px;
    background-color: tomato;
    border-radius: 5px;

    top: 0;
    left: 50%;
    transform: translateX(-50%);
}

.ft-placeholder.is-hidden {
  display: none;
}

@media screen and (max-width: 45rem) {
    .filter {
        padding: 40px 10px;
    }
    .filter-headline {
        max-width: 800px;
        padding: 15px;
    }
    .format {
        top: 22px !important;
        font-size: 16px !important;
    }
    .nav-btn {
        top: 23px !important;
        font-size: 16px !important;
    }
    .header-nav {
        height: 60px;
    }
    .filter-buttons {
        padding: 10px;
        padding: 6px 16px;
        top: 60px;
    }
    .filter-buttons-top {
        flex-wrap: wrap;
        align-items: center;
        justify-content: center;
    }
    .filter-buttons button {
        font-size: 16px;
    }
}

.black {
    position: absolute;

	background-color: rgb(255, 255, 255);
	background-color: rgba(255, 255, 255, 0.1);
	-webkit-backdrop-filter: blur(45px);
	backdrop-filter: blur(45px);

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100%;
    width: 100%;
    padding: 10px;
}

.black .black-txt {
    max-width: 900px;
    margin: 0 auto;
    text-align: center;
    line-height: 1.3;
}

.black button {
    cursor: pointer;
    background-color: #F6F6F6;
    border: none;
    padding: 8px 20px;
    font-size: 18px;
    border-radius: 5px;
    transition: background-color 0.3s, color 0.3s;

    margin-top: 10px;
}

.black button:hover {
  background-color: #d2d2d2;
}

.overlay-ft {
    display: none;
    position: fixed;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    max-width: 320px;
    max-height: 360px;

    padding: 10px;

    z-index: 1000000;
}

.overlay-ft.open {
  display: block;
}

.overlay-ft-content {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    width: 100%;
    height: 100%;
    padding: 20px;

    background-color: #F6F6F6;
    border-radius: 5px;
}

.overlay-ft-content .closebtn {
    position: absolute;
    font-family: var(--secondary-font);
    font-size: 32px;
	top: 10px;
	right: 20px;
	text-transform: uppercase;
	letter-spacing: 0.05em;
}

.overlay-ft-content #modalBtn {
    position: absolute;
	bottom: 60px;
	right: 50%;
    transform: translateX(50%) rotate(-8deg);

}

.overlay-ft-content button {
	background-color: black;
	color: white;
	border: none;
	padding: 10px 20px;
	border-radius: var(--radius-s);
	font-size: calc(var(--unit) - 6px);
	cursor: pointer;
	transition: all 0.3s;
    white-space: nowrap;
}

.overlay-ft-content #modalBtn:hover {
    transform: translateX(50%) rotate(-2deg);
}

.overlay-ft-content .language {
    display: flex;
    flex-direction: column;
    gap: 5px;
    margin-top: 0;
}

.format {
    position: fixed !important;
}

@media screen and (max-width: 65rem) {
    .format {
        padding: var(--unit);
    }
}

@media screen and (max-width: 45rem) {
    .format {
        padding: 0;
    }
}

.utility {
    display: flex;
    align-items: flex-end;
    gap: 5px;

    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 1000000;
}

.toc-container .main-nav a {
    font-family: var(--primary-font);
    font-size: 24px;
}

#up {
    opacity: 0;
    transform: translateY(12px);
    pointer-events: none;
    transition: opacity 0.25s ease, transform 0.25s ease;
}

#up a, .toc-btn {
    display: inline-block;
    background-color: #F6F6F6;
    border: none;
    padding: 8px 20px;
    border-radius: 5px;
    height: 40px;
}

.toc-btn {
    font-family: var(--primary-font);
    font-size: 24px;
    line-height: 0;
    cursor: pointer;
}

#up.visible {
  opacity: 1;
  transform: translateY(0);
  pointer-events: auto;
}

.toc-wrapper {
    position: fixed;
    bottom: 0;
    right: -100%;

    padding: 20px;

    z-index: 10000000;
    transition: right 0.3s ease;
}

.toc-wrapper.active {
  right: 0;
}

.table-of-contents {
    width: 100%;
    min-width: 300px;

    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    gap: 5px;

    padding: 20px 20px 40px; 
    background-color: #F6F6F6;
    border-radius: 5px;
}

.toc-close {
    align-self: flex-end;
    font-size: 24px;
    cursor: pointer;
    margin-bottom: 10px;
}

.toc-headline {
    text-transform: uppercase;
    padding-bottom: 1em;
    font-size: 18px;
}

@media screen and (max-width: 45rem) {
    .toc-wrapper {
        right: -200%;
    }
    .table-of-contents {
        min-width: none;
    }
    .toc-wrapper {
        padding: 10px;
    }
}

.panel {
    display: block;
    height: 70vh;
    min-height: 70vh;
    max-height: 70vh;
    overflow: scroll;
    padding: var(--unit) 10px;
    border-radius: 16px;
}

.is-hidden {
  display: none !important;
}